package com.yc.education.controller;

import com.yc.education.model.About;
import com.yc.education.service.IAboutService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * 前台  关于好彩
 * @author Hickey
 * @create 2019-07-26 16:45
 */
@Controller
public class AboutController {

    @Autowired
    private IAboutService iAboutService;

    @RequestMapping("about.html")
    public ModelAndView showAbout(Integer id){
        ModelAndView mav  = new ModelAndView();

        About about = iAboutService.selectByKey(id);

        mav.addObject("about",about);

        return  mav;
    }

}
